Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkWin32ImageMapper Class Reference

`#include <vtkWin32ImageMapper.h>`

Inheritance diagram for vtkWin32ImageMapper:

[legend]
Collaboration diagram for vtkWin32ImageMapper:

[legend]
List of all members.

## Detailed Description

(obsolete) 2D image display support for Microsoft windows

Date:
  2002/05/23 01:29:10

Revision:
  1.24

vtkWin32ImageMapper is a concrete subclass of vtkImageMapper that renders images under Microsoft windows.

See also:
  vtkImageMapper

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (51%)
  - Miller, Jim (26%)
  - Biddiscombe, John (17%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkWin32ImageMapper.h)`
  - .`cxx` (`/Rendering/vtkWin32ImageMapper.cxx)`

Definition at line 51 of file vtkWin32ImageMapper.h.

## Public Types
typedef vtkImageMapper | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
unsigned long int | GetMTime ()
void | PrintSelf (ostream &os, vtkIndent indent)
void | RenderOverlay (vtkViewport *viewport, vtkActor2D *actor)
void | RenderData (vtkViewport *viewport, vtkImageData *data, vtkActor2D *actor)
virtual void | SetLookupTable (vtkLookupTable *)
virtual vtkLookupTable * | GetLookupTable ()
## Static Public Methods
vtkWin32ImageMapper * | New ()
int | IsTypeOf (const char *type)
vtkWin32ImageMapper * | SafeDownCast (vtkObject *o)
void | GenerateBitmapData (vtkImageData *data, void *inptr, unsigned char *DataOut, int dim, int DisplayExtent[6], float cwindow, float clevel, float cshift, float cscale, vtkLookupTable *lut)
HBITMAP | CreateBitmapObject (HBITMAP oldBitmap, BITMAPINFO &dataHeader, HDC windowDC, unsigned char *&DataOut, vtkImageData *data, int width, int height)
## Public Attributes
unsigned char * | DataOut
HBITMAP | HBitmap
## Protected Methods
| vtkWin32ImageMapper ()
| ~vtkWin32ImageMapper ()
## Protected Attributes
vtkLookupTable * | LookupTable

## Member Typedef Documentation

typedef vtkImageMapper vtkWin32ImageMapper::Superclass

| Reimplemented from vtkImageMapper. Definition at line 55 of file vtkWin32ImageMapper.h.

## Constructor & Destructor Documentation

vtkWin32ImageMapper::vtkWin32ImageMapper | ( |  | ) | `[protected]`

vtkWin32ImageMapper::~vtkWin32ImageMapper | ( |  | ) | `[protected]`

## Member Function Documentation

vtkWin32ImageMapper* vtkWin32ImageMapper::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageMapper.

virtual const char* vtkWin32ImageMapper::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageMapper.

int vtkWin32ImageMapper::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMapper.

virtual int vtkWin32ImageMapper::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageMapper.

vtkWin32ImageMapper* vtkWin32ImageMapper::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageMapper.

void vtkWin32ImageMapper::RenderOverlay | ( | vtkViewport * | viewport,
|  | vtkActor2D * | actor
| ) | `[inline, virtual]`

| Handle the render method. Reimplemented from vtkMapper2D. Definition at line 59 of file vtkWin32ImageMapper.h. References vtkImageMapper::RenderStart().

void vtkWin32ImageMapper::RenderData | ( | vtkViewport * | viewport,
|  | vtkImageData * | data,
|  | vtkActor2D * | actor
| ) | `[virtual]`

| Called by the Render function in vtkImageMapper. Actually draws the image to the screen. Implements vtkImageMapper.

unsigned long int vtkWin32ImageMapper::GetMTime | ( |  | ) | `[virtual]`

| Compute modified time including lookuptable Reimplemented from vtkImageMapper.

void vtkWin32ImageMapper::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| standard Printself routine Reimplemented from vtkImageMapper.

virtual void vtkWin32ImageMapper::SetLookupTable | ( | vtkLookupTable * |  | ) | `[virtual]`

| The ImageMappers convert ImageData into a greyscale image when a single scalar component is present. If a lookuptable is supplied, values are mapped through the lookuptable to generate a colour image. If the number of scalar components is greater then one, the lookuptable is ignored. If the lookuptable is NULL, a default greyscale image is generated. Users should ensure that the range of the lookuptable is {0,255} for full colour effects

virtual vtkLookupTable* vtkWin32ImageMapper::GetLookupTable | ( |  | ) | `[virtual]`

| The ImageMappers convert ImageData into a greyscale image when a single scalar component is present. If a lookuptable is supplied, values are mapped through the lookuptable to generate a colour image. If the number of scalar components is greater then one, the lookuptable is ignored. If the lookuptable is NULL, a default greyscale image is generated. Users should ensure that the range of the lookuptable is {0,255} for full colour effects

HBITMAP vtkWin32ImageMapper::CreateBitmapObject | ( | HBITMAP | oldBitmap,
|  | BITMAPINFO & | dataHeader,
|  | HDC | windowDC,
|  | unsigned char *& | DataOut,
|  | vtkImageData * | data,
|  | int | width,
|  | int | height
| ) | `[static]`

| CreateBitmapObject and GenerateBitmapData are utility functions which allow one to hook into the display routines and provide the user with an easy way of converting an ImageData object into a windows bitmap object. They are also used internally by the mapper and should not be modified or used standalone alone without caution.

void vtkWin32ImageMapper::GenerateBitmapData | ( | vtkImageData * | data,
|  | void * | inptr,
|  | unsigned char * | DataOut,
|  | int | dim,
|  | int | DisplayExtent[6],
|  | float | cwindow,
|  | float | clevel,
|  | float | cshift,
|  | float | cscale,
|  | vtkLookupTable * | lut
| ) | `[static]`

## Member Data Documentation

unsigned char* vtkWin32ImageMapper::DataOut

| Definition at line 104 of file vtkWin32ImageMapper.h.

HBITMAP vtkWin32ImageMapper::HBitmap

| Definition at line 105 of file vtkWin32ImageMapper.h.

vtkLookupTable* vtkWin32ImageMapper::LookupTable`[protected]`

| Definition at line 108 of file vtkWin32ImageMapper.h.

The documentation for this class was generated from the following file:

- Rendering/vtkWin32ImageMapper.h